Page MenuHomePhabricator

Configure inbound email for phabricator.wikimedia.org
Closed, ResolvedPublic

Description

In order for email to translate into task creation and comments we need email setup.

I have an MX record for phabricator.wikimedia.org set to mchenry. It seems RT mail comes in this way. Currently, Faidon is revamping the email setup in production and so this is on hold until next week.

Details

Reference
fl407

Event Timeline

flimport raised the priority of this task from to Medium.Sep 12 2014, 1:39 AM
flimport set Reference to fl407.

aklapper wrote on 2014-06-13 12:38:31 (UTC)

I have an MX record for phabricator.wikimedia.org set to mchenry

Note that as per T142 we'd prefer to go for phab.wikimedia.org instead of phabricator.wikimedia.org.

Rush wrote on 2014-06-13 15:55:29 (UTC)

a note for this ticket, I updated T142 to clarify the url situation

aklapper wrote on 2014-08-20 16:26:24 (UTC)

@Rush said that this is mostly done, but scripts need to be updated (file permissions stuff in T95 etc.) now, which @Rush plans to do that at some point.

dzahn wrote on 2014-08-28 01:34:00 (UTC)

email addresses used by RT are here:

https://wikitech.wikimedia.org/wiki/RT#Which_queues_do_we_have_and_what_are_they_used_for.3F

we will either have to add mail redirects or communicate new addresses to all external 3rd parties (data centers, vendors, dc-tech, announcements, peering requests..)

Qgil added a subscriber: Qgil.EditedSep 18 2014, 10:53 AM

fwiw I just tried creating a task by sending an email to task@phabricator.wikimedia.org and I got what was expected (but I had to test) :)

This message was created automatically by mail delivery software.
A message that you sent could not be delivered to one or more of its
recipients. This is a permanent error. The following address(es) failed:
general@phabricator.wikimedia.org
(generated from task@phabricator.wikimedia.org)
local delivery failed

chasemp closed this task as Resolved.Sep 29 2014, 8:22 PM
chasemp claimed this task.

works

Qgil added a comment.Sep 29 2014, 8:37 PM

Verified from mobile. :)

chasemp reassigned this task from chasemp to Aklapper.Oct 1 2014, 10:52 PM
chasemp set Security to None.
flimport reassigned this task from Aklapper to chasemp.Oct 1 2014, 10:52 PM
chasemp reassigned this task from chasemp to Aklapper.Oct 1 2014, 10:54 PM
chasemp removed Aklapper as the assignee of this task.Oct 1 2014, 10:57 PM
Dzahn removed a subscriber: Dzahn.Oct 3 2014, 12:34 AM